package cn.com.ty.lift.ud.operation.service;

import cn.com.ty.lift.ud.common.NotExamineDto;
import cn.com.ty.lift.ud.operation.mapper.entity.CommissionSettingEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 抽成设置 -Service
 * 
 * @author Xson
 * @date 2020-05-15
 */
public interface ICommissionSettingService extends IService<CommissionSettingEntity> {

    RestResponse getLatestVersion();

    RestResponse examineById(NotExamineDto neDto);

    RestResponse getAllStay();

    RestResponse getHistoryVersion();

    RestResponse getAllCommit();

    RestResponse submit(Long id);

    RestResponse create(CommissionSettingEntity entity);
}
